AtriumCore Upgrade from 9.1.04 to 19.02 fails due to the RIK import of adf_fnp.xml

Version 1
    Share This:

    This document contains official content from the BMC Software Knowledge Base. It is automatically updated when the knowledge article is modified.


    PRODUCT:

    BMC Atrium Core - CMDB


    COMPONENT:

    BMC Atrium Core


    APPLIES TO:

    AtriumCore upgrade to 1902



    PROBLEM:

    AtriumCore Upgrade from 9.1.04 to 19.02 fails during the following RIK command in atriumcore_install log.

    +0000),SEVERE,com.bmc.install.product.atriumfoundation.dsl.DSLRuleEngineInstallerExecutorTask,
      THROWABLE EVENT {Description=[Failed to execute Rule Engine 2],Detail=[ [RIKCOMMAND] LOAD_APPLICATION -c true -f /ars/AtriumCore/dsl/fnp/workflow/en/adf_fnp.xml -G 14400 -k 0 -l /ars/AtriumCore -L true -n BMCAtriumPC -N 7200 -t 0 -u Action Request Installer Account -x ar_host -X 21600 

    On checking the related logs in the AtriumCore\logs directory, the following is the exact import that is failing.

    /ars/AtriumCore/dsl/fnp/workflow/en/SHARE%QualBuilder2.def
    [Tue May 28 14:22:16.528] INFO  RIKMain  - Importing Definition file /ars/AtriumCore/dsl/fnp/workflow/en/SHARE%QualBuilder2.def with Mode overwrite and mask 17
    [Tue May 28 14:22:16.692] ERROR RIKMain  - 8790 Unknown system error org/apache/commons/lang/ClassUtils
    [Tue May 28 14:22:16.692] ERROR RIKMain  - 8790 Unknown system error org/apache/commons/lang/ClassUtils
     


    CAUSE:

    commons-lang-2.4.jar from the AtriumCore directory was not part of the CLASSPATH variable


    SOLUTION:

    - Add the path of the commons-lang-2.4.jar from the AtriumCore directory to the CLASSPATH variable, on the CMDB server on which the installer is being run.
    - Re-run the AtriumCore installer again to complete the AtriumCore upgrade.


    Article Number:

    000170220


    Article Type:

    Solutions to a Product Problem



      Looking for additional information?    Search BMC Support  or  Browse Knowledge Articles